#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
std::vector<int> solve(std::vector<int> a){
    int n = a.size();
    vector <int> p;
    for(int i = 1;i <= n / 2 - n % 2;i++)
    {
        p.push_back(2 * (i - 1) + 2 - i % 2);
    }
    if(n % 2)
	{
		if(n > 1)p.push_back(n - 1);
		p.push_back(n);
	}
    vector <int> used(n + 1);
    for(int i = 0;i < p.size();i++)used[p[i]] = 1;
    for(int i = 1;i <= n;i++)
    {
        if(!used[i])p.push_back(i);
    }
    for(int i = 0;i < n;i++)p[i]--;
    return p;
}